Subject: Re: [Tools-discuss] New datatracker release

From: Fred Baker <[email-masked]>
Date: Wed, 25 May 2011 11:58:33 -0700

Thanks for the new work on this.

I am going through v6ops' drafts marking them with their current state. I ran into a couple of problems. 

1) It appears that this tool only applies to documents with the name draft-ietf-<wg>-*-<dd>.txt. Under "Manage Workflow", one of the states is "Call For Adoption By WG Issued". This would have to be applied to a document which is not yet a working group draft, as draft-ietf-<wg>-* is a name usable only for documents that have already been accepted and the re-post has occurred. I need to be able to apply a state to an individual submission to a working group, and by the way, the initial state for such a draft should be "Individual Submission to Working Group" without me having to apply the state. Yes, this comment was made while developing the specifications for the tool.

2) The working group has sent some drafts to the IESG without formally adopting them as working group documents. I take it that this is no longer accepted, as the told doesn't allow the shepherd to manage their state...?

3) Under "Manage Shepherds", I tried to identify my co-chair as shepherd for a document, and was informed

> Internal Server Error.
> 
> The server encountered an internal error and was unable to complete your request. Either the server is overloaded or there was an error in a script used to generate the requested page.
> 
> Please contact [email-masked].

I was, however, able to assign a document to myself. The processing path was a little counter-intuitive, however, as it told me that it had marked me as "shepherd" but the file didn't show up under "Shepherded by me" for several minutes.

4) I see a lot of documentation of states. I don't see a place that lets me set the document's state apart from deciding who its shepherd is. What would be very nice is a button on or related to the http://datatracker.ietf.org/doc/* page that tells me its current working group state, what my options are for a next possible state, and lets me (logged in as WG Chair) click on something to select the new state. This applies to individual submissions to the working group as well as working group documents.

On May 25, 2011, at 10:14 AM, IETF Chair wrote:

> We have now deployed new features in the IETF Datatracker (which you can find at http://datatracker.ietf.org/) that provide support for display and management of working group document status according to RFC 6174 and RFC 6175.
> 
> The WG Chairs can assign states to WG Internet-Drafts:
> -  WG Document 
> -  Parked WG Document 
> -  Dead WG Document 
> -  In WG Last Call 
> -  Waiting for WG Chair Go-Ahead 
> -  WG Consensus: Waiting for Writeup 
> -  Submitted to IESG for Publication 
> 
> A subset of these states will be set automatically for WG documents by the system if no action is taken by the WG Chairs.  You can see the new states on the WG document summary pages in the datatracker, see for instance http://datatracker.ietf.org/wg/v6ops/

This is a subset of the states that the tool supports. I don't see a way to set the state on a draft, however. A little documentation might be a good thing.

> The new datatracker release also provides support for showing and assigning shepherds for WG Internet-Drafts, for recording proto write-ups for WG  Internet-Drafts, for defining a custom document workflow for a WG, and more.

I see the shepherd stuff. Where is the write-up stuff?

> We hope these new datatracker features will provide more information about the state and progress of WG documents for all IETF participants. We hope these new datatracker features will also provide tools for WG Chairs that make it easier to manage WG documents.
> 
> Thanks,
> Russ
>

---

From: Al Morton <[email-masked]>
Date: Wed, 25 May 2011 15:13:02 -0400

>Thanks for the new work on this.

+1

>state. I ran into a couple of problems.

+1
After logging-in, I don't seem to be able to accomplish anything productive.
It could be a cockpit problem, too.

I'm assuming tools-discuss is the right place to raise issues,
Al

---

From: Russ Housley <[email-masked]>
Date: Wed, 25 May 2011 15:14:48 -0400

Fred:

Thanks for trying the new features. We will tackle these problems as soon as we can.

Please keep working with the tools.

Russ

---

From: Fred Baker <[email-masked]>
Date: Wed, 25 May 2011 14:09:32 -0700

On May 25, 2011, at 1:21 PM, Henrik Levkowetz wrote:

> Hi Fred,
> 
> On 2011-05-25 20:58 Fred Baker said the following:
>> 1) It appears that this tool only applies to documents with the name
>> draft-ietf-<wg>-*-<dd>.txt. Under "Manage Workflow", one of the
>> states is "Call For Adoption By WG Issued". This would have to be
>> applied to a document which is not yet a working group draft, as
>> draft-ietf-<wg>-* is a name usable only for documents that have
>> already been accepted and the re-post has occurred. I need to be able
>> to apply a state to an individual submission to a working group, and
>> by the way, the initial state for such a draft should be "Individual
>> Submission to Working Group" without me having to apply the state.
>> Yes, this comment was made while developing the specifications for
>> the tool.
> 
> Agreed, and this is the way it should be.  If it isn't, that's a bug.

OK, so now that you've shown me where the link to change state is, I found that. I submit that there are a couple of other likely working group states for an individual submission to a working group:
  - I-D exists or some similar name
  - not under consideration

the first of those says in essence that the working group hasn't decided yet what to do with the draft, and the second is a form of "the working group HAS decided what to do with it". Note that historically, a relatively small percentage of internet drafts become RFCs (per the rsync'able all-internet-drafts, there have been 21,785 drafts posted in its time, with an average of 3.3 versions per draft for a total of 72,095 .txt files in that database, but only some 6200 RFCs). At least in my working group, it would be nice to be able to assign a state to a draft that says "this is an individual submission, but no consensus exists in the WG to discuss it." or "...but it is not within the WG's charter."

>> 4) I see a lot of documentation of states. I don't see a place that
>> lets me set the document's state apart from deciding who its shepherd
>> is. What would be very nice is a button on or related to the
>> http://datatracker.ietf.org/doc/* page that tells me its current
>> working group state, what my options are for a next possible state,
>> and lets me (logged in as WG Chair) click on something to select the
>> new state. This applies to individual submissions to the working
>> group as well as working group documents.
> 
> This (the /doc/draft-* page) is exactly where you should both see the state
> and be able to set it.  I'm attaching a screen-shot of what I would expect you
> to see, taken for a document in MIP4 (which I chair and thus have the chair
> view of), with the WG State and link to change it for a document marked.
> 
> Oh, yes -- to see the edit link, you have to be signed in,  so the server knows
> that you have the needed permission.  There's a 'Sign in' link in the top
> right-hand corner of the screen if you're not signed in.  I can't think how you
> could have seen and be able to edit the shepherd-related stuff without being
> signed in, but thought I'd mention it.

Yes, signing in helps :-)

OK, I see the thing now. I guess the placement wasn't intuitive to me.

>>> We have now deployed new features in the IETF Datatracker (which
>>> you can find at http://datatracker.ietf.org/) that provide support
>>> for display and management of working group document status
>>> according to RFC 6174 and RFC 6175.
>>> 
>>> The WG Chairs can assign states to WG Internet-Drafts: -  WG
>>> Document -  Parked WG Document -  Dead WG Document -  In WG Last
>>> Call -  Waiting for WG Chair Go-Ahead -  WG Consensus: Waiting for
>>> Writeup -  Submitted to IESG for Publication
>>> 
>>> A subset of these states will be set automatically for WG documents
>>> by the system if no action is taken by the WG Chairs.  You can see
>>> the new states on the WG document summary pages in the datatracker,
>>> see for instance http://datatracker.ietf.org/wg/v6ops/
>> 
>> This is a subset of the states that the tool supports. I don't see a
>> way to set the state on a draft, however. A little documentation
>> might be a good thing.
> 
> Hopefully answered above, at least to the point where we can pinpoint the bug
> if there's one behindthis.
> 
>>> The new datatracker release also provides support for showing and
>>> assigning shepherds for WG Internet-Drafts, for recording proto
>>> write-ups for WG  Internet-Drafts, for defining a custom document
>>> workflow for a WG, and more.
>> 
> For this too, see the attached screen-shot -- the third link on the same line
> as the 'Change WG State' link should be a 'Change draft writeup' link.
> 
> 
> Regards,
> 
> 	Henrik
> <Screen shot 2011-05-25 at 22.11.28.png>

---

From: Henrik Levkowetz <[email-masked]>
Date: Wed, 25 May 2011 23:50:03 +0200

Hi Fred,

On 2011-05-25 23:09 Fred Baker said the following:
> OK, so now that you've shown me where the link to change state is, I
> found that. I submit that there are a couple of other likely working
> group states for an individual submission to a working group:
>

Understood.  From the viewpoint of the datatracker, it's trivial to add
additional states to those currently available for use.  The ones which
are in there now are those defined by RFC 6174.  If there is sufficient
consensus on adding a few more states for WG Chairs to use for purposes
such as those you mention above, it's just a matter of a little bit of
time to add them to the relevant datatracker database tables.

> OK, I see the thing now. I guess the placement wasn't intuitive to me.

Ok.  Suggestions for better placement are welcome.

Best regards,

	Henrik

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Thu, 26 May 2011 03:21:50 -0400

>   - not under consideration

I thought there was supposed to be an I-D Exists state, but there
doesn't seem to be.  I seem to recall someone explaining why that might
not be useful, and it had something to do with documents only being able
to belong to one WG at a time.

The second state you mention sounds a lot like "Dead".

> OK, I see the thing now. I guess the placement wasn't intuitive to me.

I don't.  For documents in my WG (krb-wg), I get the change-shepherd and
change-writeup links, but never the edit-state link.

-- Jeff

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 26 May 2011 08:32:58 -0700

On May 26, 2011, at 12:21 AM, Jeffrey Hutzelman wrote:

> doesn't seem to be.  

Sure there is. Looking at Fred's WG, <https://datatracker.ietf.org/wg/v6ops/>, I see many WG drafts in "I-D exists".

--Paul Hoffman

---

From: Jeffrey Hutzelman <[email-masked]>
Date: Thu, 26 May 2011 11:44:25 -0400

On Thu, 2011-05-26 at 08:32 -0700, Paul Hoffman wrote:
> Sure there is. Looking at Fred's WG,
>  <https://datatracker.ietf.org/wg/v6ops/>, I see many WG drafts in "I-D
>  exists".

That's an IESG state.  I think Fred's looking for an equivalent WG
state, for a document which is related to this WG but which the WG is
not yet considering whether to adopt.

-- Jeff

---

From: Fred Baker <[email-masked]>
Date: Thu, 26 May 2011 09:54:13 -0700

> Sure there is. Looking at Fred's WG, <https://datatracker.ietf.org/wg/v6ops/>, I see many WG drafts in "I-D exists".

That's not a "WG State". That's, if anything, an IESG state, or a statement about the draft itself - it's not dead and it hasn't gone anywhere. From a WG perspective, I think the question is "it claims, in its moniker, to be an individual submission to <wg>; what does <wg> think about it?". From my perspective, there are three possible WG states there - the WG is thinking about the individual submission to the working group, it has decided to no longer think about it, or it is in the process of deciding whether to make it a WG document; after that, it is of course a WG document and has more states.

---

From: Paul Hoffman <[email-masked]>
Date: Thu, 26 May 2011 13:40:46 -0700

On May 26, 2011, at 12:41 PM, [email-masked] wrote:

> I believe Fred is right.  "I-D Exists" is not a state that anyone can use to indicate anything about the status if an I-D in relation to any WG.

Indeed. The state machine in section 4.1 of RFC 6174 shows that the first *WG state* is when there is a call for adoption, and that the terminal state out the top (not sent to the IESG) is no WG state at all. The *non-WG* draft state remains the same, and encompasses both of Fred's states. What he is asking for is a more encompassing WG state machine.

--Paul Hoffman

---

From: Fred Baker <[email-masked]>
Date: Thu, 26 May 2011 13:58:53 -0700

> Indeed. The state machine in section 4.1 of RFC 6174 shows that the first *WG state* is when there is a call for adoption, and that the terminal state out the top (not sent to the IESG) is no WG st…

Well, yes. As when we had the conversation before, I'm looking for a state machine that addresses the activity in a working group, not just the activity after a draft has become one of a specific subset of the drafts that the working group discusses.

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 01 Jun 2011 08:57:48 +1200

We have "AD is watching", used as one step up from "I-D exists". Why not define "WG is watching"?

   Brian

On 2011-05-27 04:54, Fred Baker wrote:
> _______________________________________________
> BOFCHAIRS mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/bofchairs
>

---

From: Fred Baker <[email-masked]>
Date: Tue, 31 May 2011 14:32:43 -0700

> We have "AD is watching", used as one step up from "I-D exists". Why not define "WG is watching"?

wfm